import { MarkdownOptions } from '@doc-utils/markdown2html';
export declare function read_config(file: string): Promise<Config>;
export interface Config {
    input: {
        root: string;
        raw?: string[];
        text?: string[];
        markdown?: string[];
        'schema+json'?: string[];
        'schema+yaml'?: string[];
        'openapi+json'?: string[];
        'openapi+yaml'?: string[];
    };
    templates?: {
        layouts?: string;
        partials?: string;
        themes?: string;
        tags?: [string, string];
        env?: string[];
    };
    output: {
        root: string;
        include_inputs?: string[];
        include_yaml_and_json?: boolean;
        include_intermediate_markdown?: boolean;
    };
    markdown?: MarkdownOptions;
    schema?: {};
    openapi?: {};
}
