import { Config } from './conf';
import { ColorTheme } from '@doc-utils/color-themes';
import { ThemeGroups } from './build';
export interface Context {
    env?: Record<string, string>;
    page?: FrontMatter;
    icons: Record<string, string>;
    themes: ColorTheme[];
    theme_groups: ThemeGroups;
    build_time: {
        iso: string;
        rfc2822: string;
    };
    markdown: {
        render_inline(): MustacheRenderer;
    };
}
export interface FrontMatter {
    title?: string;
    layout?: string;
    [key: string]: unknown;
}
export declare function render_template(template: string, context: Context, layout?: string, partials?: Record<string, string>, tags?: [string, string]): string;
export declare function load_extras(): Promise<Record<string, string>>;
export declare function load_layout(conf: Config, file: string): Promise<string>;
export declare function load_partials(conf: Config): Promise<Record<string, string>>;
export interface MustacheRenderer {
    (this: void, text: string, render: (text: string) => string): string;
}
